Subject: RE: MPLS TE question

From: Nhat Thanh Hoang <[email-masked]>
Date: Wed, 2 May 2001 11:20:00 +0200

Hi Ibrahim,

I don't have any pointer to the inter-area LSP setup issue than you and
Suhakar have referred to.

/Nhat Thanh

-----Original Message-----
From: Ibrahim Okumus [mailto:[email-masked]]
Sent: den 30 april 2001 17:19
To: Nhat Thanh Hoang
Cc: [email-masked]
Subject: RE: MPLS TE question

Hi Nhat,
Do you have pointers to the inter-area LSP setup?
Thanks,

_________________________
 Ibrahim Taner OKUMUS           

On Mon, 30 Apr 2001, Nhat Thanh Hoang wrote:

> Hi,
> 
> I Think you can find the answer at the following drafts:
> http://www.ietf.org/internet-drafts/draft-ietf-mpls-rsvp-lsp-tunnel-08.txt
> http://www.ietf.org/internet-drafts/draft-ietf-isis-traffic-02.txt
> 
> As I know contraint-based (the constraints such as bandwidth, link colors)
> signaled LSPs can only be established within one IS-IS area, because the
> traffic-engineering database is only propagating within an area. But, I
> think there are RSVP-TE implementations (are vendor dependent)that support
> inter-area LSPs by explicitly and strictly point out hop-by-hop along the
> LSP you want to establsih and without the constraints: bandwidth and
> linkcoloring.
> See also the comment line below:
> 
> -----Original Message-----
> From: Dirk Maeckelberghe [mailto:[email-masked]]
> Sent: den 30 april 2001 14:53
> To: [email-masked]
> Subject: MPLS TE question
> 
> 
> Hello,
> 
> Can you point me to the right references or help answer underneath
> questions.
> 
> I need to know if I can use the TE extensions to setup an LSP using
RSVP-TE
> ( cross area )  in case my IGP is  hierarchical IS-IS (
> L1 and L2 ).
> Can I assume that summarization happens at area boundaries and that the
> detailed TE info does not get propagated inside the area ?
> 
> - Yes, You are right about that.
> 
> This is case A to B where A,B LER and L2A and L2B LSR
> 
> A - area 1 - L2A ---- L2X --- L2B - area 2 - B
> 
> 
> If now I am only extending my MPLS cloud to the L2 routers ( L2A - L2B are
> now LER ), A and B are NON-MPLS routers,
> can I then use the TE extensions of IS-IS to do TE between the L2A and
L2B.
> I understand that the L2 routers only  form L2 adjacencies, are the TE
> extensions communicated between them ?
> 
> - I'm not sure if I understand you correctly, and I suppose that now you
> mean the changed scenario is L2A, L2X and L2B are Level 2 MPLS-capable
> routers, then the answer to your question is YES.
> 
> - If I'm wrong please correct me.
> 
> - I hope it would help something
> 
> Cheers,
> /Nhat Thanh
> 
> Telia Research AB
> 
> A - area 1 - L2A ---- L2X --- L2B - area 2 - B
> 
> Thanks,
> 
> Dirk
>